<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sg="http://docs.oasis-open.org/wsrf/sg-2"
	xmlns:add="http://www.w3.org/2005/08/addressing"
	xmlns:met="http://www.w3.org/2005/08/addressing/metadata">

  <xsl:output method="html" encoding="utf-8"/>
  <xsl:template match="sg:ServiceGroupRP">
    <html>
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
      </head>
      <body>
        <h2>Зарегистрированные службы:</h2>  
        <table border="1">
          <tr bgcolor="#D0E5F8">
            <th align="left">Интерфейс</th>
            <th align="left">Адрес</th>
          </tr>
          <xsl:for-each select="sg:Entry/sg:MemberServiceEPR">
            <xsl:sort select="sg:Entry/sg:MemberServiceEPR/add:Address"/>
            <tr>
               <td nowrap="nowrap">
                 <xsl:call-template name="RemoveNamespace">
                   <xsl:with-param name="str" select="add:Metadata/met:InterfaceName"/>
                 </xsl:call-template>
               </td>
               <td nowrap="nowrap">
                 <xsl:value-of select="add:Address"/>
               </td>
            </tr>
          </xsl:for-each>
        </table>
      </body>
    </html>
  </xsl:template>

  <xsl:template name="RemoveNamespace">
    <!-- удаление префикса-namespace из начала строки -->
    <xsl:param name="str"/>
    <xsl:variable name="isColon" select="contains($str,':')"/>
    <xsl:if test="$isColon">
      <xsl:value-of select="substring-after($str,':')"/>
    </xsl:if>
    <xsl:if test="not($isColon)">
      <xsl:value-of select="$str"/>
    </xsl:if>
  </xsl:template>

</xsl:stylesheet>
